<div>
    Zadane su točke A, B i C s pripadajućim intenzitetima RGB boje I<sub>A</sub>, I<sub>B</sub>, I<sub>C</sub>. Također su zadane i točke X i Y:<br>
    <span id="${{{qid}}}_A">A (<span></span>), I<sub>A</sub> (<span></span>)</span><br>
    <span id="${{{qid}}}_B">B (<span></span>), I<sub>B</sub> (<span></span>)</span><br>
    <span id="${{{qid}}}_C">C (<span></span>), I<sub>C</sub> (<span></span>)</span><br>
    X (<span id="${{{qid}}}_X"></span>)<br>
    Y (<span id="${{{qid}}}_Y"></span>)<br>
    Potrebno je odrediti RGB intenzitete preostalih točaka koristeći baricentrične koordinate.<br>
    Gornji lijevo pravokutnik predstavlja koordinatu (0, 0). Koordinate rastu po x-osi prema desno i po y-osi prema dolje.<br>
    <b>PAŽNJA</b> Dobiveni intenziteti moraju biti cijeli brojevi pa u slučaju izračuna decimalnog broja primijenite zaokruživanje na najbliži cijeli broj.<br>
</div>
<div>
    <canvas id="${{{qid}}}_canvas"></canvas>
</div>
<div>
    Rješenje:<br>
    <form id="${{{qid}}}_ans_X">
        X&nbsp;
        <b>R:</b><input type="text" oninput="this.value = this.value.replace(/[^0-9]/g, '')" maxlength="3" size="1" value="0"/>
        <b>G:</b><input type="text" oninput="this.value = this.value.replace(/[^0-9]/g, '')" maxlength="3" size="1" value="0"/>
        <b>B:</b><input type="text" oninput="this.value = this.value.replace(/[^0-9]/g, '')" maxlength="3" size="1" value="0"/>
    </form><br>
    <form id="${{{qid}}}_ans_Y">
        Y&nbsp;
        <b>R:</b><input type="text" oninput="this.value = this.value.replace(/[^0-9]/g, '')" maxlength="3" size="1" value="0"/>
        <b>G:</b><input type="text" oninput="this.value = this.value.replace(/[^0-9]/g, '')" maxlength="3" size="1" value="0"/>
        <b>B:</b><input type="text" oninput="this.value = this.value.replace(/[^0-9]/g, '')" maxlength="3" size="1" value="0"/><br><br>
    </form>
</div>
